Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QInputEvent Class Reference

The QInputEvent class is the base class for events that describe user input. More...

    #include <QInputEvent>

Inherits QEvent.

Inherited by QMouseEvent, QWheelEvent, QTabletEvent, QKeyEvent, QContextMenuEvent, and QInputMethodEvent.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QEvent

### Public Functions

- ~QInputEvent ()
- Qt::KeyboardModifiers modifiers () const

- 4 public functions inherited from QEvent

## Detailed Description

The QInputEvent class is the base class for events that describe user input.

## Member Function Documentation

### QInputEvent::~QInputEvent ()

### Qt::KeyboardModifiers QInputEvent::modifiers () const